> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Webhook



## OpenAPI

````yaml /api-reference/openapi.yaml post /v2/webhooks/test/{webhook_nanoid}
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/webhooks/test/{webhook_nanoid}:
    post:
      tags:
        - B2B Webhooks
      summary: Test Webhook
      parameters:
        - schema:
            type: string
            minLength: 15
            maxLength: 15
            pattern: ^wh-.*
          in: path
          name: webhook_nanoid
          required: true
          description: Unique identifier of the Webhook Endpoint.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                event_type:
                  type: string
                  enum:
                    - withdraw_account.duplicated_detected
                    - invite.accepted
                    - payment.sent
                    - deposit.received
                    - payment.group.created
                    - invite.expired
                    - invite.rejected
                    - onboarding.step_updated.basic_data
                    - onboarding.step_updated.kyc.accepted
                    - onboarding.step_updated.kyc.rejected
                    - onboarding.step_updated.kyc.pending
                    - onboarding.step_updated.rsk
                    - onboarding.step_updated.documents
                    - onboarding.completed
                    - team.member_blocked
                    - team.member_added
                    - team.member_removed
                    - document.signed
                    - document.expired
                    - document.closed
                    - payment.subscription.created
                    - payment.subscription.paid
                    - payment.chargeback.created
                    - payment.chargeback.paid
                    - payment.cash_requirement.created
                    - payment.cash_requirement.due
                    - payment.canceled
                    - payment.failed
                    - invoice.created
                    - invoice.canceled
                    - token.transfer
                    - deposit.crypto
                    - deposit.crosschain
                    - deposit.bitcoin
                    - deposit.fiat
                    - swap.token
                    - action_item.created
                    - action_item.completed
                    - action_item.finished
                version:
                  default: 2
                  description: Webhook payload major version (defaults to 2)
                  type: integer
                  minimum: 1
                  maximum: 10
              required:
                - event_type
      responses:
        '202':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      delivery_nanoid:
                        type: string
                        minLength: 15
                        maxLength: 15
                        pattern: ^wl-.*
                        description: Unique identifier of the Webhook Delivery.
                      message:
                        type: string
                      test_payload:
                        description: Generated test payload for the webhook
                        type: object
                        additionalProperties: {}
                      version:
                        description: Major version of the webhook payload used
                        type: number
                    required:
                      - delivery_nanoid
                      - message
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````